cloud-arrow-upImports

Import content into GitBook.

The Imports API provides allows you to import content into GitBook.

Import content into a space from a website

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

Body
sourceone ofRequired
or
enhancebooleanOptional

Enhance the imported content with AI

Default: true
Responses
chevron-right
201

Import run created successfully.

application/json
idstringRequired

Unique ID of the import

startedAtstring · date-timeOptional

Date when the import has started

completedAtstring · date-timeOptional

Filled when the imported is in status "completed"

statusstring · enumRequired

Status of the import

Possible values:
post
/org/{organizationId}/imports

Cancel an import run

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

importRunIdstringRequired

The unique id of the import run

Responses
chevron-right
201

Import run canceled successfully.

application/json
idstringRequired

Unique ID of the import

startedAtstring · date-timeOptional

Date when the import has started

completedAtstring · date-timeOptional

Filled when the imported is in status "completed"

statusstring · enumRequired

Status of the import

Possible values:
post
/org/{organizationId}/imports/{importRunId}/cancel

Last updated

Was this helpful?